QGIS Application - Bug report #16836

A lot harder now to insert new nodes into lines and reshape lines in 7d67b02 than in previous
Master 313ec55

2017-07-10 04:23 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No
Operating System: Xubuntu 17.10 Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 24735
Description

So on the current master someone has played around and changed the way you can move lines (paths) around which is just a lot more
confusing.

On every version up to and including 2.99 build commit:313ec55 if you click the Node button then all you are doing is moving nodes
around.

If you want to move a whole line there is this separate Move button.

But now someone has decided to be clever and put the Move function into Node editing so if you aren't sure where the node is and you
don't click on it (and believe it or not the nodes are not very easy to see all of the time) then you end up dragging the line instead of the
node then you have to drag the line back and that still hasn't helped you move the node you were trying to move.

I remember having a similar beef with Google over Google Earth when somebody decided to make the nodes smaller and harder to see
because they looked ugly, it did not matter that the only time you see nodes is when editing a line, the rest of the time they are hidden.

Attached what a node looks like, hard to see, in the old version you could just click on the line and all the nodes would turn into squares,
easier to see, now it will only highlight them if you hover the mouse, so you click the Pan button and drag the map then to get the nodes
highlighted you have to then click the node edit button and hover the mouse over the line, then to pan you have to click the pan button
again and then repeat, so a whole lot more steps are needed.

What annoys me is every time a new release comes out there is endless twiddling of the user interface, lots of resources going into
attempting to design the perfect GUI, well it does not have to be perfect and is there actually any usability testing or focus groups before
these changes to the GUI come out because for those of us trying to get some real work done then having to relearn some new tweak with
each update then it's like the SVG edit dialog, | have to keep several computers running multiple different software versions to deal with
the new GUI bugs that someone hasn't tested properly. It's actually virtually impossible to revert to a previous master that doesn't have the
bugs, so | end up having to use version 2.1x which has a different project file format meaning opening a 2.99 project means some of the
settings in it simply are not recognized and imported so some functionality will not work.

This thing is supposed to be freezing for release in a month and it has new bugs in it? Where do you stop introducing new bugs and focus
on fixing old ones?

Related issues:
Related to QGIS Application - Bug report # 17240: When a node on the end of a... Closed 2017-10-04

History

#1 - 2017-07-10 04:50 PM - Regis Haubourg
Hi Patrick,

thanks for raising your issues, 3.0 is a major release and some changes are radical, | agree with that, and since release schedule for 3.0 as been moved a
lot, we now have a higher step than before. Polishing 3.0 won't be an easy task but changes pushed in here have been discussed via QEP, lists, issues
before, or even with prototypes and most of them are worth fixing it.

But now someone has decided to be clever and put the Move function into Node editing so if you aren't sure where the node is and you don't click on
it (and believe it or not the nodes are not very easy to see all of the time) then you end up dragging the line instead of the node then you have to drag

the line back and that still hasn't helped you move the node you were trying to move.

With the same build number, | can't confirm that, I still have a move line and a node tool. | don't see any more recente commit related to that neither. Can

you share some screencast to help use reproduce that and narrow it down? It might be a bug.

Attached what a node looks like, hard to see, in the old version you could just click on the line and all the nodes would turn into squares, easier to
see, now it will only highlight them if you hover the mouse, so you click the Pan button and drag the map then to get the nodes highlighted you have
to then click the node edit button and hover the mouse over the line, then to pan you have to click the pan button again and then repeat, so a whole

lot more steps are needed.

In settings, nodes can be tuned for all or only selected features. You can make it a cross, a square or or circle, change its size and color. This hasn't
changed a all

When hovering with the new node tool, colors and symbols but that's not what you seem to point out with your screenshot.

#2 - 2017-07-11 03:16 AM - Nyall Dawson

While | think you've worded your issue poorly and very insensitively, you've done the right thing in flagging these issues and bringing them to the attention
of the team. We need feedback like this before release to ensure that the new tool implementation is rock solid and ready for release.

Prior to introducing this tool a long process was conducted:
- first a proposal was submitted for comment (see https://github.com/qgis/QGIS-Enhancement-Proposals/issues/69)

- a python based plugin for 2.x mimicing the proposed behavior was created (https:/github.com/wonder-sk/CadNodeTool) so that interested users could

test and give feedback

Based on feedback obtained from both these steps the UX of the new tool was heavily refined. And it's still being refined prior to release.

So it's definitely not "someone playing around”, but instead a highly involved process with extensive community feedback. (Incidentally: | suggest you

should subscribe to the qgis user/developer mailing lists and the proposals github repo so that you can give your feedback on changes like this early).

This thing is supposed to be freezing for release in a month and it has new bugs in it? Where do you stop introducing new bugs and focus on fixing

old ones?

After freeze - that's the whole purpose of setting this "freeze" period in place. Freeze is not the release - freeze is a pre-release period in which we
concentrate only on bug fixes. Until then it's open for any changes, new features, etc, (and developers jumping in and playing around with whatever they
feel like just to make things hard for users ;)... oh wait... | mean "developers and daily users making changes based on user requirements and community
feedback to refine QGIS behavior".)

Anyway, freeze is still a long time off, and the issues will be addressed in the post freeze period. Can you refine your issue to indicate what you feel the

corrections need to be?

#3 - 2017-07-11 09:10 AM - Jurgen Fischer

- Description updated

#4 - 2017-07-11 09:13 AM - Jiirgen Fischer

2025-04-27 2/4


https://github.com/qgis/QGIS-Enhancement-Proposals/issues/69
https://github.com/wonder-sk/CadNodeTool

Patrick Dunford wrote:

This thing is supposed to be freezing for release in a month and it has new bugs in it? Where do you stop introducing new bugs and focus on fixing

old ones?

See roadmap

#5 - 2017-07-13 10:52 AM - Giovanni Manghi
- Status changed from Open to Feedback

Some feedback from the issuer to the question by Nyall at the end of his reply would be appreciated.

#6 - 2017-09-13 06:39 PM - Patrick Dunford

Hey, I'd love to spend some time looking at this, the problem is at the moment, my computer keeps running out of memory due to issue #17119.

So at the moment | have to keep editing on older masters that don't implement this change.

#7 - 2017-10-03 10:13 AM - Patrick Dunford

I am looking at it now but it will take some time to evaluate all the differences. But, this is not just some kneejerk reaction to a new user feature. | have tried
it a few times, and each time it's a big step, or learning curve, from the previous interface (2.18 for example, since there have been a number of different
changes in this development project. | end up wanting to do one thing and end up making changes | never intended to because it tries to reduce the

number of clicks to do each step.

| can see it does some things like extending a line a lot easier (a much desired feature) compared to previous editions, but this has to be compared with
whether it also makes it easier to make a mess by accidentally dragging things that you never intended to drag.

#8 - 2017-10-03 02:42 PM - Giovanni Manghi

Patrick Dunford wrote:

I am looking at it now but it will take some time to evaluate all the differences. But, this is not just some kneejerk reaction to a new user feature. |
have tried it a few times, and each time it's a big step, or learning curve, from the previous interface (2.18 for example, since there have been a
number of different changes in this development project. | end up wanting to do one thing and end up making changes | never intended to because

it tries to reduce the number of clicks to do each step.

| can see it does some things like extending a line a lot easier (a much desired feature) compared to previous editions, but this has to be compared

with whether it also makes it easier to make a mess by accidentally dragging things that you never intended to drag.

| understand your point, but this is by design, not a bug per se. And discussing choices made on purpose by devs is best done on the users and developers

mailing lists, not in the bug tracker. Please raise your concerns there. Thanks!

#9 - 2017-10-10 08:46 AM - Jiirgen Fischer
- Related to Bug report #17240: When a node on the end of a path is selected and dragged, the whole line moves instead of just that node added
http://qgis.org/en/site/getinvolved/development/roadmap.html

#10 - 2018-02-22 01:25 PM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed

Assuming the discussion has been ported to the mailing lists (users and/or developers).
